{% extends 'base.html.twig' %}

{% block title %}Author index{% endblock %}

{% block body %}
    <div class="d-flex justify-content-between mb-3 mt-3">
        <h3>Authors</h3>
        <div>
            <a class="btn btn-success" href="{{ path('author_new') }}">Create new</a>
            <a class="btn btn-info" href="{{ path('book_index') }}">Books</a>
        </div>
    </div>

    <table class="table text-center">
        <thead>
        <tr class="d-flex">
            <th scope="col" class="col-1 text-center">Id</th>
            <th scope="col" class="col-5 text-center">FullName</th>
            <th scope="col" class="col-3 text-center">Books</th>
            <th scope="col" class="col-2 text-center">actions</th>
        </tr>
        </thead>
        <tbody>
        {% for author in authors %}
            <tr class="d-flex">
                <td class="col-1">{{ author.id }}</td>
                <td class="col-5">{{ author.fullName }}</td>
                <td class="col-3">{{ author.books }}</td>
                <td class="col-2">
                    <a class="btn btn-info" href="{{ path('author_show', {'id': author.id}) }}">show</a>
                    <a class="btn btn-warning" href="{{ path('author_edit', {'id': author.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="navigation d-flex justify-content-center">
        {{ knp_pagination_render(authors) }}
    </div>
{% endblock %}